Attribute VB_Name = "Module1"
Option Explicit

Declare Sub RgedSetSilent Lib "RGEDIT.DLL" ()

Declare Function RgedGetError Lib "RGEDIT.DLL" (ByVal ErrorBuf As String, _
    ByVal BufSize As Long, BufLen As Long) As Long

Declare Function RgedLoadProfile Lib "RGEDIT.DLL" (ByVal ProfileName As String, _
    ByVal ProfilePath As String, hProfile As Long) As Long

Declare Function RgedCreateProfile Lib "RGEDIT.DLL" (ByVal ProfileName As String, _
    ByVal ProfilePath As String, hProfile As Long) As Long

Declare Function RgedUnloadProfile Lib "RGEDIT.DLL" (ByVal hProfile As Long) As Long

Declare Function RgedOpenLocalHive Lib "RGEDIT.DLL" ( _
    ByVal hHive As Long, hProfile As Long) As Long

Declare Function RgedOpenRemoteHive Lib "RGEDIT.DLL" ( _
    ByVal ComputerName As String, ByVal hHive As Long, hProfile As Long) As Long

Declare Function RgedCopyKey Lib "RGEDIT.DLL" (ByVal hProfileFrom As Long, _
    ByVal hProfileTo As Long, ByVal ParentKey As String, _
    ByVal Key As String) As Long

Declare Function RgedCopyValue Lib "RGEDIT.DLL" (ByVal hProfileFrom As Long, _
    ByVal hProfileTo As Long, ByVal Key As String, ByVal Value As String) As Long

Declare Function RgedCreateKey Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal ParentKey As String, ByVal Key As String) As Long

Declare Function RgedTestKey Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String) As Long

Declare Function RgedDeleteKey Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal ParentKey As String, ByVal Key As String) As Long

Declare Function RgedDeleteValue Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String) As Long

Declare Function RgedGetLastModifiedTime Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, wYear As Integer, wMonth As Integer, wDay As Integer, _
    wHour As Integer, wMinute As Integer, wSecond As Integer) As Long

Declare Function RgedEnumKeysInit Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, hEnum As Long) As Long

Declare Function RgedEnumKeys Lib "RGEDIT.DLL" (ByVal hEnum As Long, _
    ByVal NameBuf As String, ByVal NameMax As Long, NameLen As Long) As Long

Declare Function RgedEnumValuesInit Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, hEnum As Long) As Long

Declare Function RgedEnumValues Lib "RGEDIT.DLL" (ByVal hEnum As Long, _
    ByVal NameBuf As String, ByVal NameMax As Long, NameLen As Long, _
    ValueType As Long) As Long

Declare Function RgedEnumCancel Lib "RGEDIT.DLL" (ByVal hEnum As Long) As Long

Declare Function RgedGetString Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String, ByVal DataBuf As String, _
    ByVal BufSize As Long, BufLen As Long, ValueType As Long) As Long

Declare Function RgedSetString Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String, ByVal DataBuf As String, _
    ByVal ValueType As Long) As Long

Declare Function RgedGetDword Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String, DataBuf As Long, _
    ValueType As Long) As Long

Declare Function RgedSetDword Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String, ByVal DataBuf As Long, _
    ByVal ValueType As Long) As Long

Declare Function RgedGetValue Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String, DataBuf As Any, _
    ByVal BufSize As Long, BufLen As Long, ValueType As Long) As Long

Declare Function RgedSetValue Lib "RGEDIT.DLL" (ByVal hProfile As Long, _
    ByVal Key As String, ByVal Value As String, DataBuf As Any, _
    ByVal BufLen As Long, ByVal ValueType As Long) As Long

'
' Hive types (from WINREG.H)
'
Global Const HKEY_CLASSES_ROOT = &H80000000
Global Const HKEY_CURRENT_USER = &H80000001
Global Const HKEY_LOCAL_MACHINE = &H80000002
Global Const HKEY_USERS = &H80000003
Global Const HKEY_PERFORMANCE_DATA = &H80000004
Global Const HKEY_CURRENT_CONFIG = &H80000005
Global Const HKEY_DYN_DATA = &H80000006

'
' Value types (from WINNT.H)
'
Global Const REG_SZ = 1
Global Const REG_EXPAND_SZ = 2
Global Const REG_BINARY = 3
Global Const REG_DWORD = 4
Global Const REG_MULTI_SZ = 7
